Bug 1051904 - kwin eats 100% CPU after switching to VT2 (console)
Summary: kwin eats 100% CPU after switching to VT2 (console)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-12 19:29 UTC by Tomas Toth
Modified: 2015-06-29 14:23 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:23:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Toth 2014-01-12 19:29:58 UTC
Description of problem:
I use KDE. When I switch from GUI to VT2 console by Ctrl-Alt-F2, kwin process goes up to 100% CPU and stays there. When I switch from console (Alt-F1) back to GUI, kwin goes back to normal, everything seems to work fine.
The steps are repeatable. The behaviour is the same with other VTs.


Version-Release number of selected component (if applicable):
kde-workspace-4.11.5-1.fc20.x86_64
kdm-4.11.5-1.fc20.x86_64


How reproducible:
Always, see steps below.


Steps to Reproduce:
1. GUI to VT2 (Ctrl-Alt-F2) -> kwin 100% CPU
2. VT2 to GUI (Alt-F1)      -> kwin Normal
3. GUI to VT2 (Ctrl-Alt-F2) -> kwin 100% CPU
4. VT2 to GUI (Alt-F1)      -> kwin Normal
 . . .


Actual results:
kwin eats 100% CPU.

Expected results:
kwin does not eat 100% CPU.


Additional info:
# lspci | grep -i vga
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 425M] (rev a1)

Let me know if you need additional logs, what logs and how to generate them.

Comment 1 Rex Dieter 2014-01-13 12:44:16 UTC
Not reproducible here, with

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 0c)

may be a driver issue.

Comment 2 Tomas Toth 2014-01-13 19:18:16 UTC
Sorry, I just found out that there is a strange trigger which is not easy to reproduce.
After reboot everything works fine.

Steps:
1. I have auto-login (user1) to GUI (VT1).
2. Open konsole, start top.
2. Login to VT2 also user1 - console only (not GUI).
3. Start top on VT2.

4. Switch randomly between VT1, VT2 and VT3 (nobody logged in) several times.
Kwin runs normally.

5. Start firefox (VT1), play a Flash video. 
(Used this https://www.youtube.com/watch?v=aRSZeTPQFAE)

6. Switch randomly between VT1, VT2 and VT3  several times.
Kwin runs normally.
Note: The sound from the Flash video is also present when running on VT2. There is no sound for VT3++.

7. Maximize/Full screen the Flash video.
8. Switch randomly between VT1, VT2 and VT3  several times.
At some point it happens, kwin goes up to 99%CPU for VT2, VT3++.

9. Then Full screen can be left, the Firefox Tab with the Flash can be closed, even whole Firefox can be closed. Kwin still goes up to 99%CPU for VT2, VT3++ and goes back to normal for VT1.

10. Reboot fixes the problem.

It seems that somehow the Full screened video plays role in triggering the issue, but I am not 100% sure.

I was able to reproduce the issue also with user1 logged into KDE on VT1. Then after 'Switch User' user2 logged into KDE on VT2, steps same as above.


Additional video, driver related packages:
# yum list installed | grep -i ^mesa
mesa-dri-drivers.x86_64       9.2.5-1.20131220.fc20   @updates
mesa-filesystem.x86_64        9.2.5-1.20131220.fc20   @updates
mesa-libEGL.x86_64            9.2.5-1.20131220.fc20   @updates
mesa-libGL.x86_64             9.2.5-1.20131220.fc20   @updates
mesa-libGLU.x86_64            9.0.0-4.fc20            @updates
mesa-libgbm.x86_64            9.2.5-1.20131220.fc20   @updates
mesa-libglapi.x86_64          9.2.5-1.20131220.fc20   @updates
mesa-libwayland-egl.x86_64    9.2.5-1.20131220.fc20   @updates
mesa-libxatracker.x86_64      9.2.5-1.20131220.fc20   @updates
mesa-vdpau-drivers.x86_64     9.2.5-1.20131220.fc20   @updates

# yum list installed | grep -i nouv
xorg-x11-drv-nouveau.x86_64   1:1.0.9-2.fc20          @fedora

#yum list installed | grep -i ^kern
kernel.x86_64                 3.12.6-300.fc20	      @updates
kernel-modules-extra.x86_64   3.12.6-300.fc20	      @updates

flash-plugin.x86_64           11.2.202.332-release    @adobe-linux-x86_64

Comment 3 Fedora End Of Life 2015-05-29 10:27:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 14:23:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.